This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 698704 - if not null, the message clearing timer should be canceled at top of MessageBar,onMessage() to prevent the timer from clearing the new message prematurely
if not null, the message clearing timer should be canceled at top of MessageB...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-04-21 10:51 EDT by Ian Springer
Modified: 2015-02-01 18:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:58:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-04-21 10:51:26 EDT
messageCenter.notify(nonStickyMessageA);
// wait 29 seconds
messageCenter.notify(nonStickyMessageB);
// 1 second later, the 30-second timer created to clear message A will expire and clear message B 29 seconds prematurely
Comment 1 Ian Springer 2011-04-21 11:06:47 EDT
Fixed - [master 36b2ef4].
Comment 2 Mike Foley 2011-06-13 15:08:11 EDT
i am seeing messages displayed, and cleared, properly.
Comment 5 Heiko W. Rupp 2013-09-03 12:58:25 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.